Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.graph
Class ImageMapTagBase

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.graph.ImageMapTagBase`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ImageMapTag

public class ImageMapTagBase
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageMapTagBase()`

Method Summary
`int` | `doEndTag()` Graph tag body will include SingleTableGraph/MasterDetailGraph, which will supply the required data
`int` | `doStartTag()` Process the start tag for this instance.
`java.lang.String` | `getFilter()`
`java.lang.String` | `getUrl()`
`protected int` | `rowIndexToRangeIndex(RowSetIterator iter, int rowIndex)`
`void` | `setFilter(java.lang.String filter)`
`void` | `setUrl(java.lang.String hrefUrl)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageMapTagBase

    public ImageMapTagBase()

Method Detail

### setFilter

    public void setFilter(java.lang.String filter)

### getFilter

    public java.lang.String getFilter()

### setUrl

    public void setUrl(java.lang.String hrefUrl)

### getUrl

    public java.lang.String getUrl()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does ont want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Graph tag body will include SingleTableGraph/MasterDetailGraph, which will supply the required data
  Throws:
    `javax.servlet.jsp.JspException`

### rowIndexToRangeIndex

    protected int rowIndexToRangeIndex(RowSetIterator iter,
                                       int rowIndex)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.